Bug 16918 - opac-main.pl is not running under plack
Summary: opac-main.pl is not running under plack
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jesse Weaver
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-13 18:08 UTC by Barton Chittenden
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16918: Serve OPAC/intranet homepage via Plack (1.94 KB, patch)
2016-07-21 22:38 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 16918: Serve OPAC/intranet homepage via Plack (1.94 KB, patch)
2016-07-21 22:40 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 16918: Serve OPAC/intranet homepage via Plack (2.00 KB, patch)
2016-09-05 10:33 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 16918 (QA Followup) - Add reverse proxy and fix intranet vs opac typo (2.00 KB, patch)
2016-09-08 16:19 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 16918: Serve OPAC/intranet homepage via Plack (2.10 KB, patch)
2016-09-09 07:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16918 (QA Followup) - Add reverse proxy and fix intranet vs opac typo (2.16 KB, patch)
2016-09-09 07:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Barton Chittenden 2016-07-13 18:08:40 UTC
The default redirect rules that launch pages under plack do not cover opacmain.pl.

This is bad, because system preferences don't update on opacmain.pl unless memcache is restarted.
Comment 1 Jesse Weaver 2016-07-21 22:38:36 UTC Comment hidden (obsolete)
Comment 2 Jesse Weaver 2016-07-21 22:40:34 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2016-09-05 10:33:12 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2016-09-07 14:52:18 UTC
Should not we add the ProxyPassReverse line for index.html as well?
Comment 5 Nick Clemens 2016-09-08 16:19:57 UTC Comment hidden (obsolete)
Comment 6 Marcel de Rooy 2016-09-09 07:01:48 UTC
Created attachment 55397 [details] [review]
Bug 16918: Serve OPAC/intranet homepage via Plack

Test plan:
  1) Shut down the Plack server.
  2) The OPAC and staff side homepage should still load (as it is
     mistakenly being loaded via CGI).
  3) Apply patch.
  4) Both homepages should now not load.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2016-09-09 07:01:52 UTC
Created attachment 55398 [details] [review]
Bug 16918 (QA Followup) - Add reverse proxy and fix intranet vs opac typo

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Amended the patch to adjust a typo: ndex should be index.
Comment 8 Marcel de Rooy 2016-09-09 07:03:28 UTC
(In reply to Jonathan Druart from comment #4)
> Should not we add the ProxyPassReverse line for index.html as well?

For consistency, we should. But another question is: how would you test it?
Comment 9 Kyle M Hall 2016-09-09 10:24:51 UTC
Pushed to master for 16.11,t hanks Jesse, Nick!